## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global tarball_version %%(echo %{version} | tr '~' '.')

Name:           glycin-loaders
Version:        0.1~beta.2
Release:        %autorelease
Summary:        Sandboxed image rendering

License:        LGPL-2.1
URL:            https://gitlab.gnome.org/sophie-h/glycin
Source0:        https://download.gnome.org/sources/glycin-loaders/0.1/glycin-loaders-%{tarball_version}.tar.xz
# Fedora-packaged rust-image doesn't have openexr and qoi support
Patch:          image-rs-missing-decoders.patch

BuildRequires:  git-core
BuildRequires:  meson
BuildRequires:  pkgconfig(gtk4)
BuildRequires:  rust-packaging

%description
Sandboxed and extendable image decoding.


%prep
%autosetup -p1 -n glycin-loaders-%{tarball_version}

rm -rf vendor
%cargo_prep

# Not yet packaged
sed -i -e '/glycin-heif/d' -e '/glycin-jxl/d' Cargo.toml


%generate_buildrequires
%cargo_generate_buildrequires


%build
%meson -Dloaders=glycin-image-rs,glycin-svg
%meson_build


%install
%meson_install


%check
%meson_test


%files
%license LICENSE
%doc NEWS README.md
%{_libexecdir}/glycin-loaders/
%{_datadir}/glycin-loaders/


%changelog
* Mon Aug 21 2023 Kalev Lember <klember@redhat.com> - 0.1~beta.2-1
- Initial Fedora packaging
